> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List wallets



## OpenAPI

````yaml /api-reference/openapi.json get /v1/wallets
openapi: 3.1.0
info:
  title: Sly API
  description: >-
    The Agentic Economy Platform — stablecoin payments, agent wallets,
    multi-protocol commerce, and AI agent orchestration.
  version: 1.0.0
  contact:
    name: Sly
    url: https://getsly.ai
    email: support@getsly.ai
servers:
  - url: https://api.getsly.ai/v1
    description: Production
  - url: https://sandbox.getsly.ai/v1
    description: Sandbox
security:
  - bearerAuth: []
paths:
  /v1/wallets:
    get:
      tags:
        - Wallets
      summary: List wallets
      parameters:
        - schema:
            type: string
            enum:
              - account
              - agent
          required: false
          name: owner_type
          in: query
        - schema:
            type: string
            format: uuid
          required: false
          name: owner_id
          in: query
        - schema:
            type: string
          required: false
          name: currency
          in: query
        - schema:
            type: string
            enum:
              - active
              - frozen
              - deactivated
          required: false
          name: status
          in: query
        - schema:
            type: integer
            exclusiveMinimum: 0
            default: 1
          required: false
          name: page
          in: query
        - schema:
            type: integer
            exclusiveMinimum: 0
            maximum: 200
            default: 50
          required: false
          name: limit
          in: query
      responses:
        '200':
          description: Paginated wallets
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Wallet'
                  pagination:
                    type: object
                    properties:
                      page:
                        type: integer
                      limit:
                        type: integer
                      total:
                        type: integer
                      totalPages:
                        type: integer
                    required:
                      - page
                      - limit
                      - total
                      - totalPages
                required:
                  - data
                  - pagination
      security:
        - bearerAuth: []
components:
  schemas:
    Wallet:
      type: object
      properties:
        id:
          type: string
          format: uuid
        owner_type:
          type: string
          enum:
            - account
            - agent
        owner_id:
          type: string
          format: uuid
        currency:
          type: string
        balance_available:
          type: string
        balance_pending:
          type: string
        network:
          type:
            - string
            - 'null'
        address:
          type:
            - string
            - 'null'
          description: On-chain address (stablecoin wallets only)
        status:
          type: string
          enum:
            - active
            - frozen
            - deactivated
        name:
          type:
            - string
            - 'null'
        metadata:
          type: object
          additionalProperties: {}
          default: {}
        frozen_at:
          type:
            - string
            - 'null'
          format: date-time
        frozen_reason:
          type:
            - string
            - 'null'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - id
        - owner_type
        - owner_id
        - currency
        - balance_available
        - balance_pending
        - status
        - created_at
        - updated_at
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key (pk_test_* or pk_live_*), JWT session, agent token (agent_*),
        Ed25519 session (sess_*), or portal token (portal_*).

````